Name:           perl-Dancer-Plugin-Database-Core
Version:        0.20
Release:        2%{?dist}
Summary:        Shared core for Dancer and Dancer2 Database plugins
License:        Artistic 2.0

URL:            http://metacpan.org/release/Dancer-Plugin-Database-Core/
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BIGPRESH/Dancer-Plugin-Database-Core-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBI)
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.22
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(DBI::db\\)$

%description
Dancer::Plugin::Database::Core is a shared core for Dancer and Dancer2
database plugins. This module should not be used directly. It is a
shared library for Dancer::Plugin::Database and
Dancer2::Plugin::Database modules.

%prep
%setup -q -n Dancer-Plugin-Database-Core-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
RELEASE_TESTING=1 make test

%files
%doc Changes README
%{perl_vendorlib}/Dancer*
%{_mandir}/man3/Dancer*

%changelog
* Wed Sep 05 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 0.20-2
- Filter DBI's subclass perl(DBI::db), not provided by perl-DBI (#1625410)

* Sun Sep 02 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 0.20-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
